<?php echo $header; ?>
<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <?php if ($success) { ?>
  <div class="success"><?php echo $success; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/order.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="$('#form').attr('action', '<?php echo $invoice; ?>'); $('#form').attr('target', '_blank'); $('#form').submit();" class="button"><?php echo $button_invoice; ?></a><a href="<?php echo $insert; ?>" class="button"><?php echo $button_insert; ?></a><a onclick="$('#form').attr('action', '<?php echo $delete; ?>'); $('#form').attr('target', '_self'); $('#form').submit();" class="button"><?php echo $button_delete; ?></a></div>
    </div>
    <div class="content">
      <form action="" method="post" enctype="multipart/form-data" id="form">
        <table class="list">
          <thead>
            <tr>
              <td width="1" style="text-align: center;"><input type="checkbox" onclick="$('input[name*=\'selected\']').attr('checked', this.checked);" /></td>
              <td class="right"><?php if ($sort == 'o.order_id') { ?>
                <a href="<?php echo $sort_order; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_order_id; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_order; ?>"><?php echo $column_order_id; ?></a>
                <?php } ?></td>
              <td class="left"><?php if ($sort == 'customer') { ?>
                <a href="<?php echo $sort_customer; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_customer; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_customer; ?>"><?php echo $column_customer; ?></a>
                <?php } ?></td>
              <td class="left"><?php if ($sort == 'status') { ?>
                <a href="<?php echo $sort_status; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_status; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_status; ?>"><?php echo $column_status; ?></a>
                <?php } ?></td>
              <td class="right"><?php if ($sort == 'o.total') { ?>
                <a href="<?php echo $sort_total; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_total; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_total; ?>"><?php echo $column_total; ?></a>
                <?php } ?></td>
              <td class="left"><?php if ($sort == 'o.date_added') { ?>
                <a href="<?php echo $sort_date_added; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_date_added; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_date_added; ?>"><?php echo $column_date_added; ?></a>
                <?php } ?></td>
              <td class="left"><?php if ($sort == 'o.date_modified') { ?>
                <a href="<?php echo $sort_date_modified; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_date_modified; ?></a>
                <?php } else { ?>
                <a href="<?php echo $sort_date_modified; ?>"><?php echo $column_date_modified; ?></a>
                <?php } ?></td>
              <td class="right"><?php echo $column_action; ?></td>
            </tr>
          </thead>
          <tbody>
            <tr class="filter">
              <td></td>
              <td align="right"><input type="text" name="filter_order_id" value="<?php echo $filter_order_id; ?>" size="4" style="text-align: right;" /></td>
              <td><input type="text" name="filter_customer" value="<?php echo $filter_customer; ?>" /></td>
              <td><select name="filter_order_status_id">
                  <option value="*"></option>
                  <?php if ($filter_order_status_id == '0') { ?>
                  <option value="0" selected="selected"><?php echo $text_missing; ?></option>
                  <?php } else { ?>
                  <option value="0"><?php echo $text_missing; ?></option>
                  <?php } ?>
                  <?php foreach ($order_statuses as $order_status) { ?>
                  <?php if ($order_status['order_status_id'] == $filter_order_status_id) { ?>
                  <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                  <?php } else { ?>
                  <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                  <?php } ?>
                  <?php } ?>
                </select></td>
              <td align="right"><input type="text" name="filter_total" value="<?php echo $filter_total; ?>" size="4" style="text-align: right;" /></td>
              <td><input type="text" name="filter_date_added" value="<?php echo $filter_date_added; ?>" size="12" class="date" /></td>
              <td><input type="text" name="filter_date_modified" value="<?php echo $filter_date_modified; ?>" size="12" class="date" /></td>
              <td align="right"><a onclick="filter();" class="button"><?php echo $button_filter; ?></a></td>
            </tr>
            <?php if ($orders) { ?>
            <?php foreach ($orders as $order) { ?>
            <tr>
              <td style="text-align: center;"><?php if ($order['selected']) { ?>
                <input type="checkbox" name="selected[]" value="<?php echo $order['order_id']; ?>" checked="checked" />
                <?php } else { ?>
                <input type="checkbox" name="selected[]" value="<?php echo $order['order_id']; ?>" />
                <?php } ?></td>
              <td class="right"><?php echo $order['order_id']; ?></td>
              <td class="left"><?php echo $order['customer']; ?></td>
              <td class="left"><?php echo $order['status']; ?>

			<!--begin custom tracking code-->
			<!-- **READ ME** "Pending" must match the text used for pending orders which need shipped-->
			<?php if ($order['status'] == "Payment Done-Pending Shipment") { ?>
			<input id="trk_<?php echo $order['order_id']; ?>" name="txt_<?php echo $order['order_id']; ?>" type="text" size="30" /> 
			<input type="button" id=btn_<?php echo $order['order_id']; ?> onclick="update_history(<?php echo $order['order_id']; ?>);" value="Update Shipment"> 
			<?php } ?>
			<!--end custom tracking code-->

			</td>
              <td class="right"><?php echo $order['total']; ?></td>
              <td class="left"><?php echo $order['date_added']; ?></td>
              <td class="left"><?php echo $order['date_modified']; ?></td>
              <td class="right">

			<!--begin invoice link-->
              [ <a target="_blank" href="index.php?route=sale/order/invoice&token=<?php echo $token; ?>&order_id=<?php echo $order['order_id']; ?>">Invoice</a> ]&nbsp;&nbsp;
              <!--end  invoice link-->

			<?php foreach ($order['action'] as $action) { ?>
                [ <a href="<?php echo $action['href']; ?>"><?php echo $action['text']; ?></a> ]
                <?php } ?></td>
            </tr>
            <?php } ?>
            <?php } else { ?>
            <tr>
              <td class="center" colspan="8"><?php echo $text_no_results; ?></td>
            </tr>
            <?php } ?>
          </tbody>
        </table>
      </form>
      <div class="pagination"><?php echo $pagination; ?></div>
    </div>
  </div>
</div>
<script type="text/javascript"><!--

///////////////////////////////////////////////////////////////////////
//////////////////BEGIN BULK TRACKING UPDATER CODE/////////////////////
///////////////////////////////////////////////////////////////////////
var err = 0;
function update_history(oid) 
{
	err = 0;
	//var txt = $('input[name=\'txt_'+oid+'\']').val();
	var num = $('input[name=\'txt_'+oid+'\']').attr('value');	
	
	//remove spaces from begining and end
	num = num.replace(/^\s+|\s+$/g,"") + "";
	
	//make sure filed is not blank
	if(num == "")
	{alert("The Tracking Number Field Cannot be Empty"); return;}	
	
	//parse for USPS, UPS, FedEx, DHL, ect...
	var txt = GetTrackMessage(num);
	
	//check if we could not fiqure out the tracking number format
	//alert(txt);
	if(err == 1)
	{ 
		var ret = confirm("Tracking number format is unknown\n\nDo you want to continue?");
		if(!ret){return;}
	}
	
	//**READ ME**
	//order_status_id=3 (default by Opencart) Change according to your new ID
	//the order status ID below in the ajax function must match the order status ID number of your status "Shipped"
	$.ajax({
		type: 'POST',
		url: 'index.php?route=sale/order/history&token=<?php echo $token; ?>&order_id='+oid,
		dataType: 'json',
		data: 'order_status_id=3&notify=1&append=1&comment=' + encodeURIComponent(txt),
		beforeSend: function() { $('#btn_'+oid).remove(); },
		complete: function() { $('textarea[name=\'tkt_'+oid+'\']').val('complete'); location.reload(true);},
		success: function(data) { filter();}
		});
}

//create a tracking number messaged based on the tracking number format
function GetTrackMessage(n)
{
	var s = "";
	n = n.toUpperCase();

	//get customized message based on type of tracking number...
	if(IsUSPSExpress(n))
	{ s = "USPS Express Mail Tracking: " + n + ", Thanks!";	}
	else if(IsUSPSInternatinal(n))
	{s = "USPS International Label Number: " + n + ", note: some international packages might not be trackable at the usps website, expected delivery time to your country is 5 to 10 business days, this may vary depending on customs, Thank you!"; }
	else if(IsUSPS(n))
	{ s = "USPS Tracking Number: " + n + ", Thanks!"; }
	else if(IsUPS(n))
	{ s = "UPS Tracking Number: " + n + ", Thanks!"; }
	else if(IsFedEx(n))
	{ s = "FedEx Tracking Number: " + n + ", Thanks!"; }
	else if(IsDHL(n))
	{ s = "DHL Tracking Number: " + n + ", Thanks!"; }
	else//could not figure out the tracking number type
	{ s = "Tracking Number: " + n + ", Thanks!"; err = 1; }
	return s;
}

//13 characters, first and last 2 are letters, first letter is E
function IsUSPSExpress(n)
{
	var len = n.length;
	if(len != 13){return false;}
	var end = n.substr(len-2);//grab last 2 chars "US"
	var top = n.substr(0,1);//grab first chars "EC"
	var mid = n.substr(2,9);//grab middle section "numbers"
	if(IsNumeric(end)){return false;}
	if(IsNumeric(top)){return false;}
	if(!IsNumeric(mid)){return false;}
	if(n.substr(0,1) != "E"){return false;}//first letter must be E
	return true;
}

//13 characters, first and last 2 are letters, first letter is L
function IsUSPSInternatinal(n)
{
	var len = n.length;
	if(len != 13){return false;}
	var end = n.substr(len-2);//grab last 2 chars "US"
	var top = n.substr(0,1);//grab first chars "EC"
	var mid = n.substr(2,9);//grab middle section "numbers"
	if(IsNumeric(end)){return false;}
	if(IsNumeric(top)){return false;}
	if(!IsNumeric(mid)){return false;}
	if(n.substr(0,1) != "L"){return false;}//first letter must be L
	return true;
}

//22 digit number
function IsUSPS(n)
{
	if(n.length != 22){return false;}
	if(!IsNumeric(n)){return false;}
	return true;
}

//starts with 1Z
function IsUPS(n)
{
	if(n.substr(0,2) != "1Z"){return false;}//first letters must be 1Z
	return true;
}

//12 digit numeric
function IsFedEx(n)
{
	if(n.length != 12){return false;}
	if(!IsNumeric(n)){return false;}
	return true;
}

//10 or 11 digit numeric
function IsDHL(n)
{
	var len = n.length
	if(len < 10 || len > 11){return false;}//must be 10 or 11 digits
	if(!IsNumeric(n)){return false;}//must be numeric
	return true;
}

function IsNumeric(strString)
{
	var strValidChars = "0123456789";
	var strChar;
	var blnResult = true;
	if(strString.length == 0){return false;}
	for (i = 0; i < strString.length && blnResult == true; i++)
	{
	  strChar = strString.charAt(i);
	  if(strValidChars.indexOf(strChar) == -1){blnResult = false;}
	}
	return blnResult;
}
///////////////////////////////////////////////////////////////////////
//////////////////END BULK TRACKING UPDATER CODE///////////////////////
///////////////////////////////////////////////////////////////////////


function filter() {
	url = 'index.php?route=sale/order&token=<?php echo $token; ?>';
	
	var filter_order_id = $('input[name=\'filter_order_id\']').attr('value');
	
	if (filter_order_id) {
		url += '&filter_order_id=' + encodeURIComponent(filter_order_id);
	}
	
	var filter_customer = $('input[name=\'filter_customer\']').attr('value');
	
	if (filter_customer) {
		url += '&filter_customer=' + encodeURIComponent(filter_customer);
	}
	
	var filter_order_status_id = $('select[name=\'filter_order_status_id\']').attr('value');
	
	if (filter_order_status_id != '*') {
		url += '&filter_order_status_id=' + encodeURIComponent(filter_order_status_id);
	}	

	var filter_total = $('input[name=\'filter_total\']').attr('value');

	if (filter_total) {
		url += '&filter_total=' + encodeURIComponent(filter_total);
	}	
	
	var filter_date_added = $('input[name=\'filter_date_added\']').attr('value');
	
	if (filter_date_added) {
		url += '&filter_date_added=' + encodeURIComponent(filter_date_added);
	}
	
	var filter_date_modified = $('input[name=\'filter_date_modified\']').attr('value');
	
	if (filter_date_modified) {
		url += '&filter_date_modified=' + encodeURIComponent(filter_date_modified);
	}
				
	location = url;
}
//--></script>  
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
});
//--></script> 
<script type="text/javascript"><!--
$('#form input').keydown(function(e) {
	if (e.keyCode == 13) {
		filter();
	}
});
//--></script> 
<script type="text/javascript"><!--
$.widget('custom.catcomplete', $.ui.autocomplete, {
	_renderMenu: function(ul, items) {
		var self = this, currentCategory = '';
		
		$.each(items, function(index, item) {
			if (item.category != currentCategory) {
				ul.append('<li class="ui-autocomplete-category">' + item.category + '</li>');
				
				currentCategory = item.category;
			}
			
			self._renderItem(ul, item);
		});
	}
});

$('input[name=\'filter_customer\']').catcomplete({
	delay: 500,
	source: function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request.term),
			dataType: 'json',
			success: function(json) {		
				response($.map(json, function(item) {
					return {
						category: item.customer_group,
						label: item.name,
						value: item.customer_id
					}
				}));
			}
		});
	}, 
	select: function(event, ui) {
		$('input[name=\'filter_customer\']').val(ui.item.label);
						
		return false;
	},
	focus: function(event, ui) {
      	return false;
   	}
});
//--></script> 
<?php echo $footer; ?>